#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
%define		apivers		%(echo %{name} | cut -d '-' -f2-3 | tr -s '-' '.')
#-----------------------------------------------------------------------------
Name		:	pangomm-2-48
Version		:	2.54.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Library to provides a C++ interface to Pango. 
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/pangomm

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairomm-1-16-devel
BuildRequires	:	doxygen
BuildRequires	:	graphviz
BuildRequires	:	glibmm-devel
BuildRequires	:	mm-common
BuildRequires	:	pango
#-----------------------------------------------------------------------------
%description
'%{name}' provides a C++ interface to the Pango library.
Highlights include typesafe callbacks, widgets extensible
via inheritance and a comprehensive set of widget classes
that can be freely combined to quickly create complex user
interfaces

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc COPYING NEWS README.md
%{_includedir}/%{sname}-%{apivers}/%{sname}.h
%{_includedir}/%{sname}-%{apivers}/%{sname}/*.h
%{_includedir}/%{sname}-%{apivers}/%{sname}/private/*.h
%{_libdir}/%{sname}-%{apivers}/include/%{sname}config.h
%{_libdir}/%{sname}-%{apivers}/proc/m4/*.m4
%{_libdir}/pkgconfig/%{sname}-*%{apivers}.pc
%{_libdir}/lib%{sname}-%{apivers}.so*

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--buildtype=release				\
	-D maintainer-mode=true				\
	-D build-documentation=false			\
	build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-v						\
	-k1						\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C build				\
		install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
